datan

## Class LsqAsg

- java.lang.Object
- - datan.LsqAsg

-     public final class LsqAsg
      extends java.lang.Object

  A class determining the asymmetric errors for a set of parameters determined by the least square method for the general case using class LsqGen.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LsqAsg(DatanVector y, DatanMatrix cy, DatanVector x0, DatanMatrix cx, double mf, int m, DatanUserFunction uf)`
    `LsqAsg(DatanVector y, DatanMatrix cy, DatanVector x0, int[] list, DatanMatrix cx, double mf, int m, DatanUserFunction uf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[][]` | `getAsymmetricErrors(double w)`
    `boolean` | `hasConverged()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LsqAsg

          public LsqAsg(DatanVector y,
                DatanMatrix cy,
                DatanVector x0,
                int[] list,
                DatanMatrix cx,
                double mf,
                int m,
                DatanUserFunction uf)

      Parameters:
        `y` - vector of measurements.
        `cy` - covariance matrix of measurements.
        `x0` - position of minimum.
        `cx` - covariance matrix at x0.
        `mf` - value of minimum function.
        `list` - array containing the elements of a list specifying which of the n variables are fixed (list element = 0) and which are adjustable (list element = 1).
        `m` - number of constaint equations.
        `uf` - user function which must be an extension of the abstract class DatanUserFunction.

    - #### LsqAsg

          public LsqAsg(DatanVector y,
                DatanMatrix cy,
                DatanVector x0,
                DatanMatrix cx,
                double mf,
                int m,
                DatanUserFunction uf)

      Parameters:
        `y` - vector of measurements.
        `cy` - covariance matrix of measurements.
        `x0` - position of minimum (all elements of list are set to 1).
        `cx` - covariance matrix at x0.
        `mf` - value of minimum function.
        `m` - number of constaint equations.
        `uf` - user function which must be an extension of the abstract class DatanUserFunction.

  - ### Method Detail

    - #### getAsymmetricErrors

          public double[][] getAsymmetricErrors(double w)

      Parameters:
        `w` - probalility w for which confidence limits are computed. If w <= 0, then assymetry arrors are computed.
      Returns:
        the asymmetric errors. Element [i][0] is negativer deviation, element [i][1] is positive deviation of the (non-fixed) parameter x[i].

    - #### hasConverged

          public boolean hasConverged()

      Returns:
        true if iteration successful, false otherwise.